
From: Matt Tolentino <metolent@snoqualmie.dp.intel.com>

Third efivars driver update patch that removes x86 references to the /proc
version of the driver.


---

 25-akpm/arch/i386/kernel/efi.c |   15 ++-------------
 1 files changed, 2 insertions(+), 13 deletions(-)

diff -puN arch/i386/kernel/efi.c~efivars-remove-x86-references arch/i386/kernel/efi.c
--- 25/arch/i386/kernel/efi.c~efivars-remove-x86-references	2004-04-22 16:20:06.457466680 -0700
+++ 25-akpm/arch/i386/kernel/efi.c	2004-04-22 16:20:06.461466072 -0700
@@ -28,7 +28,7 @@
 #include <linux/spinlock.h>
 #include <linux/bootmem.h>
 #include <linux/ioport.h>
-#include <linux/proc_fs.h>
+#include <linux/module.h>
 #include <linux/efi.h>
 
 #include <asm/setup.h>
@@ -45,6 +45,7 @@
 extern efi_status_t asmlinkage efi_call_phys(void *, ...);
 
 struct efi efi;
+EXPORT_SYMBOL(efi);
 struct efi efi_phys __initdata;
 struct efi_memory_map memmap __initdata;
 
@@ -54,18 +55,6 @@ struct efi_memory_map memmap __initdata;
 extern void * boot_ioremap(unsigned long, unsigned long);
 
 /*
- * efi_dir is allocated here, but the directory isn't created
- * here, as proc_mkdir() doesn't work this early in the bootup
- * process.  Therefore, each module, like efivars, must test for
- *    if (!efi_dir) efi_dir = proc_mkdir("efi", NULL);
- * prior to creating their own entries under /proc/efi.
- */
-#ifdef CONFIG_PROC_FS
-struct proc_dir_entry *efi_dir;
-#endif
-
-
-/*
  * To make EFI call EFI runtime service in physical addressing mode we need
  * prelog/epilog before/after the invocation to disable interrupt, to
  * claim EFI runtime service handler exclusively and to duplicate a memory in

_
